Subject: Re: -mno-cygwin question
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: [email-masked]
Cc: cygwin Mailing <[email-masked]>, [email-masked]
Date: Thu, 05 Oct 2000 16:05:03 -0400

At 03:54 PM 10/5/2000, Tilman Utz wrote:
>Hi,
>thanks for the PW32 hint, looks quite good.
>Anyway, I made another attempt with the -mno-cygwin flag, I tried to compile the
>whole library wirh the flag (ok,ok, I should have done this earlier, my fault)
>first of all (as described in the HowTo I wrote of):
>export CPPFLAGS="-I/usr/local/mingw/include -mno-cygwin"
>export CXXFLAGS="-I/usr/local/mingw/include -mno-cygwin"
>export LDFLAGS="-L/usr/local/mingw/include -mno-cygwin"
>then ./configure, went ok
>then make
>after a while of compiling without problems, I got the following error
>c++ -I/usr/local/mingw/include -mno-cygwin -I/usr/local/mingw/include -mno-cygwi
>n -I../include -I../include -I../include -I../include -I./base -I../include -I..
>/include -I./base -Ibase -c ./base/random/cl_random_from.cc
>./base/random/cl_random_from.cc: In method `cl_random_state::cl_random_state()':
>./base/random/cl_random_from.cc:84: implicit declaration of function `int getpid
>(...)'
>which I'm not 'used' to (I used to encounter undefined reference errors in the
>past...)
>Without the above compilerflags, i.e. without -mno-cygwin I don't get any errors,
>are there any ideas why?

You're not including the declaration of getpid().

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
118 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

--
Want to unsubscribe from this list?
Send a message to [email-masked]